Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.util
Class XsTypeConverter

    java.lang.Object
      org.apache.xmlbeans.impl.util.XsTypeConverter

    public final class XsTypeConverter

extends java.lang.Object

Constructor Summary
`XsTypeConverter()`

Method Summary
`static GDateSpecification` | `getGDateValue(java.util.Calendar c, int builtin_type_code)`
`static GDateSpecification` | `getGDateValue(java.lang.CharSequence v, int builtin_type_code)`
`static GDateSpecification` | `getGDateValue(java.util.Date d, int builtin_type_code)`
`static java.lang.String` | `getQNameString(java.lang.String uri, java.lang.String localpart, java.lang.String prefix)`
`static java.lang.CharSequence` | `lexAnyURI(java.lang.CharSequence lexical_value)` Checkes the regular expression of URI, defined by RFC2369 http://www.ietf.org/rfc/rfc2396.txt Appendix B.
`static byte[]` | `lexBase64Binary(java.lang.CharSequence lexical_value)`
`static boolean` | `lexBoolean(java.lang.CharSequence v)`
`static boolean` | `lexBoolean(java.lang.CharSequence value, java.util.Collection errors)`
`static byte` | `lexByte(java.lang.CharSequence cs)`
`static byte` | `lexByte(java.lang.CharSequence cs, java.util.Collection errors)`
`static XmlCalendar` | `lexDateTime(java.lang.CharSequence v)`
`static java.math.BigDecimal` | `lexDecimal(java.lang.CharSequence cs)`
`static java.math.BigDecimal` | `lexDecimal(java.lang.CharSequence cs, java.util.Collection errors)`
`static double` | `lexDouble(java.lang.CharSequence cs)`
`static double` | `lexDouble(java.lang.CharSequence cs, java.util.Collection errors)`
`static float` | `lexFloat(java.lang.CharSequence cs)`
`static float` | `lexFloat(java.lang.CharSequence cs, java.util.Collection errors)`
`static GDate` | `lexGDate(java.lang.CharSequence charSeq)`
`static GDate` | `lexGDate(java.lang.String xsd_gdate, java.util.Collection errors)`
`static byte[]` | `lexHexBinary(java.lang.CharSequence lexical_value)`
`static int` | `lexInt(java.lang.CharSequence cs)`
`static int` | `lexInt(java.lang.CharSequence cs, java.util.Collection errors)`
`static java.math.BigInteger` | `lexInteger(java.lang.CharSequence cs)`
`static java.math.BigInteger` | `lexInteger(java.lang.CharSequence cs, java.util.Collection errors)`
`static long` | `lexLong(java.lang.CharSequence cs)`
`static long` | `lexLong(java.lang.CharSequence cs, java.util.Collection errors)`
`static javax.xml.namespace.QName` | `lexQName(java.lang.CharSequence charSeq, javax.xml.namespace.NamespaceContext nscontext)`
`static javax.xml.namespace.QName` | `lexQName(java.lang.String xsd_qname, java.util.Collection errors, javax.xml.namespace.NamespaceContext nscontext)`
`static short` | `lexShort(java.lang.CharSequence cs)`
`static short` | `lexShort(java.lang.CharSequence cs, java.util.Collection errors)`
`static java.lang.String` | `lexString(java.lang.CharSequence lexical_value)`
`static java.lang.String` | `lexString(java.lang.CharSequence cs, java.util.Collection errors)`
`static java.lang.CharSequence` | `printAnyURI(java.lang.CharSequence val)`
`static java.lang.CharSequence` | `printBase64Binary(byte[] val)`
`static java.lang.String` | `printBoolean(boolean value)`
`static java.lang.String` | `printByte(byte value)`
`static java.lang.String` | `printDate(java.util.Calendar c)`
`static java.lang.String` | `printDate(java.util.Date d)`
`static java.lang.String` | `printDateTime(java.util.Calendar c)`
`static java.lang.String` | `printDateTime(java.util.Calendar c, int type_code)`
`static java.lang.String` | `printDateTime(java.util.Date c)`
`static java.lang.String` | `printDecimal(java.math.BigDecimal value)`
`static java.lang.String` | `printDouble(double value)`
`static java.lang.String` | `printFloat(float value)`
`static java.lang.String` | `printGDate(GDate gdate, java.util.Collection errors)`
`static java.lang.CharSequence` | `printHexBinary(byte[] val)`
`static java.lang.String` | `printInt(int value)`
`static java.lang.String` | `printInteger(java.math.BigInteger value)`
`static java.lang.String` | `printLong(long value)`
`static java.lang.String` | `printQName(javax.xml.namespace.QName qname, javax.xml.namespace.NamespaceContext nsContext, java.util.Collection errors)`
`static java.lang.String` | `printShort(short value)`
`static java.lang.String` | `printString(java.lang.String value)`
`static java.lang.String` | `printTime(java.util.Calendar c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsTypeConverter

    public XsTypeConverter()

Method Detail

### lexFloat

    public static float lexFloat(java.lang.CharSequence cs)
                          throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### lexFloat

    public static float lexFloat(java.lang.CharSequence cs,
                                 java.util.Collection errors)

### printFloat

    public static java.lang.String printFloat(float value)

### lexDouble

    public static double lexDouble(java.lang.CharSequence cs)
                            throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### lexDouble

    public static double lexDouble(java.lang.CharSequence cs,
                                   java.util.Collection errors)

### printDouble

    public static java.lang.String printDouble(double value)

### lexDecimal

    public static java.math.BigDecimal lexDecimal(java.lang.CharSequence cs)
                                           throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### lexDecimal

    public static java.math.BigDecimal lexDecimal(java.lang.CharSequence cs,
                                                  java.util.Collection errors)

### printDecimal

    public static java.lang.String printDecimal(java.math.BigDecimal value)

### lexInteger

    public static java.math.BigInteger lexInteger(java.lang.CharSequence cs)
                                           throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### lexInteger

    public static java.math.BigInteger lexInteger(java.lang.CharSequence cs,
                                                  java.util.Collection errors)

### printInteger

    public static java.lang.String printInteger(java.math.BigInteger value)

### lexLong

    public static long lexLong(java.lang.CharSequence cs)
                        throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### lexLong

    public static long lexLong(java.lang.CharSequence cs,
                               java.util.Collection errors)

### printLong

    public static java.lang.String printLong(long value)

### lexShort

    public static short lexShort(java.lang.CharSequence cs)
                          throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### lexShort

    public static short lexShort(java.lang.CharSequence cs,
                                 java.util.Collection errors)

### printShort

    public static java.lang.String printShort(short value)

### lexInt

    public static int lexInt(java.lang.CharSequence cs)
                      throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### lexInt

    public static int lexInt(java.lang.CharSequence cs,
                             java.util.Collection errors)

### printInt

    public static java.lang.String printInt(int value)

### lexByte

    public static byte lexByte(java.lang.CharSequence cs)
                        throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### lexByte

    public static byte lexByte(java.lang.CharSequence cs,
                               java.util.Collection errors)

### printByte

    public static java.lang.String printByte(byte value)

### lexBoolean

    public static boolean lexBoolean(java.lang.CharSequence v)

### lexBoolean

    public static boolean lexBoolean(java.lang.CharSequence value,
                                     java.util.Collection errors)

### printBoolean

    public static java.lang.String printBoolean(boolean value)

### lexString

    public static java.lang.String lexString(java.lang.CharSequence cs,
                                             java.util.Collection errors)

### lexString

    public static java.lang.String lexString(java.lang.CharSequence lexical_value)

### printString

    public static java.lang.String printString(java.lang.String value)

### lexQName

    public static javax.xml.namespace.QName lexQName(java.lang.CharSequence charSeq,
                                                     javax.xml.namespace.NamespaceContext nscontext)

### lexQName

    public static javax.xml.namespace.QName lexQName(java.lang.String xsd_qname,
                                                     java.util.Collection errors,
                                                     javax.xml.namespace.NamespaceContext nscontext)

### printQName

    public static java.lang.String printQName(javax.xml.namespace.QName qname,
                                              javax.xml.namespace.NamespaceContext nsContext,
                                              java.util.Collection errors)

### getQNameString

    public static java.lang.String getQNameString(java.lang.String uri,
                                                  java.lang.String localpart,
                                                  java.lang.String prefix)

### lexGDate

    public static GDate lexGDate(java.lang.CharSequence charSeq)

### lexGDate

    public static GDate lexGDate(java.lang.String xsd_gdate,
                                 java.util.Collection errors)

### printGDate

    public static java.lang.String printGDate(GDate gdate,
                                              java.util.Collection errors)

### lexDateTime

    public static XmlCalendar lexDateTime(java.lang.CharSequence v)

### printDateTime

    public static java.lang.String printDateTime(java.util.Calendar c)

### printTime

    public static java.lang.String printTime(java.util.Calendar c)

### printDate

    public static java.lang.String printDate(java.util.Calendar c)

### printDate

    public static java.lang.String printDate(java.util.Date d)

### printDateTime

    public static java.lang.String printDateTime(java.util.Calendar c,
                                                 int type_code)

### printDateTime

    public static java.lang.String printDateTime(java.util.Date c)

### printHexBinary

    public static java.lang.CharSequence printHexBinary(byte[] val)

### lexHexBinary

    public static byte[] lexHexBinary(java.lang.CharSequence lexical_value)

### printBase64Binary

    public static java.lang.CharSequence printBase64Binary(byte[] val)

### lexBase64Binary

    public static byte[] lexBase64Binary(java.lang.CharSequence lexical_value)

### getGDateValue

    public static GDateSpecification getGDateValue(java.util.Date d,
                                                   int builtin_type_code)

### getGDateValue

    public static GDateSpecification getGDateValue(java.util.Calendar c,
                                                   int builtin_type_code)

### getGDateValue

    public static GDateSpecification getGDateValue(java.lang.CharSequence v,
                                                   int builtin_type_code)

### printAnyURI

    public static java.lang.CharSequence printAnyURI(java.lang.CharSequence val)

### lexAnyURI

    public static java.lang.CharSequence lexAnyURI(java.lang.CharSequence lexical_value)

  Checkes the regular expression of URI, defined by RFC2369 http://www.ietf.org/rfc/rfc2396.txt Appendix B. Note: The whitespace normalization rule collapse must be applied priot to calling this method.

  Parameters:
    `lexical_value` - the lexical value
  Returns:
    same input value if input value is in the lexical space
  Throws:
    `InvalidLexicalValueException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD